# $Revision: 1.19 $, $Date: 2007/09/05 12:20:26 $
Summary:	Create graphs of branches and revisions for files in a CVS repository
Summary(pl.UTF-8):	Tworzenie grafów rozgałęzień i rewizji dla plików w repozytorium CVS
Name:		cvsgraph
Version:	1.6.1
Release:	2
License:	GPL
Group:		Applications/Publishing
Source0:	http://www.akhphd.au.dk/~bertho/cvsgraph/release/%{name}-%{version}.tar.gz
# Source0-md5:	2f3da8e85de67d0690b120b33304f966
Patch0:		%{name}-config.patch
URL:		http://www.akhphd.au.dk/~bertho/cvsgraph/
BuildRequires:	autoconf
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gd-devel >= 2.0.28
Requires:	gd >= 2.0.28
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}

%description
CvsGraph is a utility to make a graphical representation of all
revisions and branches of a file in a CVS/RCS repository. It has been
inspired by the 'graph' option in WinCVS, but I could not find a
stand-alone version of this graph code. So, it was time to write one.

%description -l pl.UTF-8
CvsGraph to narzędzie do tworzenia graficznej reprezentacji wszystkich
rewizji i rozgałęzień pliku w repozytorium CVS/RCS. Jest zainspirowane
opcją 'graph' w programie WinCVS - ponieważ autor nie mógł znaleźć
samodzielnej wersji tego kodu, uznał, że czas taką napisać.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{1,5},%{_sysconfdir}}

install %{name} $RPM_BUILD_ROOT%{_bindir}
install %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}
install %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
install %{name}.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README contrib/
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man?/*
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cvsgraph.spec,v $
Revision 1.19  2007/09/05 12:20:26  baggins
- rel 2

Revision 1.18  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.16  2006/10/31 16:18:15  maciek2w
- updated to 1.6.1

Revision 1.15  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.14  2006/01/21 20:00:25  arekm
- up to 1.6.0

Revision 1.13  2005/12/04 22:58:06  glen
- adapterized (sorted %verify flags)

Revision 1.12  2005/07/25 11:31:13  blekot
- update to 1.5.2

Revision 1.11  2004/11/01 17:18:25  adamg
- updated to 1.5

Revision 1.10  2004/08/19 12:03:56  twittner
- adjust paths (-config.patch)
- regenerate ac, BR autoconf

Revision 1.9  2004/08/19 08:07:37  misi3k
- updated to 1.5.0

Revision 1.8  2004/08/01 18:26:06  qboosh
- updated to 1.4.1 (should build on 64-bit archs now)
- BR gd 2.0.28 for GIF support

Revision 1.7  2003/08/11 20:44:53  ankry
cosmetics

Revision 1.6  2003/07/19 22:02:17  leafnode
- updated to 1.4.0

Revision 1.5  2003/06/03 19:58:05  qboosh
- removed junk left by some broken version of adapter

Revision 1.4  2003/05/26 16:24:51  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:46:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/09 15:31:22  qboosh
- pl description, removed BRs implied by gd-devel

Revision 1.1  2003/02/26 15:01:36  misiek
- initial pld release
